Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# HexDecoder Class Reference

`#include <hex.h>`

Inheritance diagram for HexDecoder:

List of all members.

## Detailed Description

Decode 16 bit data back to bytes.

Definition at line 22 of file hex.h.

## SIGNALS
virtual bool | IsolatedMessageSeriesEnd (bool blocking)
virtual void | SetAutoSignalPropagation (int propagation)
| set propagation of automatically generated and transfered signals
virtual int | GetAutoSignalPropagation () const
## Public Member Functions
| HexDecoder (BufferedTransformation *attachment=NULL)
void | IsolatedInitialize (const NameValuePairs &parameters)
unsigned int | Put2 (const byte *begin, unsigned int length, int messageEnd, bool blocking)
bool | Flush (bool completeFlush, int propagation=-1, bool blocking=true)
bool | IsolatedFlush (bool hardFlush, bool blocking)
bool | ChannelFlush (const std::string &channel, bool hardFlush, int propagation=-1, bool blocking=true)
bool | Attachable ()
| returns whether this object allows attachment
BufferedTransformation * | AttachedTransformation ()
| returns the object immediately attached to this object or NULL for no attachment
const BufferedTransformation * | AttachedTransformation () const
void | Detach (BufferedTransformation *newAttachment=NULL)
| delete the current attachment chain and replace it with newAttachment
unsigned int | TransferTo2 (BufferedTransformation &target, unsigned long &transferBytes, const std::string &channel=NULL_CHANNEL, bool blocking=true)
unsigned int | CopyRangeTo2 (BufferedTransformation &target, unsigned long &begin, unsigned long end=ULONG_MAX, const std::string &channel=NULL_CHANNEL, bool blocking=true) const
void | Initialize (const NameValuePairs &parameters=g_nullNameValuePairs, int propagation=-1)
| initialize or reinitialize this object
bool | MessageSeriesEnd (int propagation=-1, bool blocking=true)
| mark end of a series of messages
BufferedTransformation & | Ref ()
| return a reference to this object
virtual std::string | AlgorithmName () const
| returns name of this algorithm, not universally implemented yet
virtual Clonable * | Clone () const
| this is not implemented by most classes yet
bool | Wait (unsigned long milliseconds)
| wait on this object
## Static Public Member Functions
void | InitializeDecodingLookupArray (int *lookup, const byte *alphabet, unsigned int log2base, bool caseInsensitive)
## Static Public Attributes
const std::string | NULL_CHANNEL
## Protected Member Functions
virtual bool | InputBufferIsEmpty () const
virtual void | NotifyAttachmentChange ()
virtual BufferedTransformation * | NewDefaultAttachment () const
void | Insert (Filter *nextFilter)
virtual bool | ShouldPropagateMessageEnd () const
virtual bool | ShouldPropagateMessageSeriesEnd () const
void | PropagateInitialize (const NameValuePairs &parameters, int propagation, const std::string &channel=NULL_CHANNEL)
unsigned int | Output (int outputSite, const byte *inString, unsigned int length, int messageEnd, bool blocking, const std::string &channel=NULL_CHANNEL)
bool | OutputMessageEnd (int outputSite, int propagation, bool blocking, const std::string &channel=NULL_CHANNEL)
bool | OutputFlush (int outputSite, bool hardFlush, int propagation, bool blocking, const std::string &channel=NULL_CHANNEL)
bool | OutputMessageSeriesEnd (int outputSite, int propagation, bool blocking, const std::string &channel=NULL_CHANNEL)
## Static Protected Member Functions
int | DecrementPropagation (int propagation)
## Protected Attributes
unsigned int | m_inputPosition
int | m_continueAt

## Member Function Documentation

bool Filter::Attachable | ( |  | ) | `[inline, virtual, inherited]`

| returns whether this object allows attachment Some BufferedTransformation objects (e.g. Filter objects) allow other BufferedTransformation objects to be attached. When this is done, the first object instead of buffering its output, sents that output to the attached object as input. The entire attachment chain is deleted when the anchor object is destructed. Reimplemented from BufferedTransformation. Definition at line 19 of file filters.h.

bool Filter::MessageSeriesEnd | ( | int | propagation = -1,
|  | bool | blocking = true
| ) | `[virtual, inherited]`

| mark end of a series of messages There should be a MessageEnd immediately before MessageSeriesEnd. Reimplemented from BufferedTransformation. Definition at line 84 of file filters.cpp.

BufferedTransformation& BufferedTransformation::Ref | ( |  | ) | `[inline, inherited]`

| return a reference to this object This function is useful for passing a temporary BufferedTransformation object to a function that takes a non-const reference. Definition at line 702 of file cryptlib.h.

virtual byte* BufferedTransformation::CreatePutSpace | ( | unsigned int & | size | ) | `[inline, virtual, inherited]`

  | request space to write bytes into for processing Parameters:
  size | is requested size (as a hint) for input, and size of the returned space for output
Reimplemented in HashFilter, ArraySink, ArrayXorSink, and ByteQueue. Definition at line 720 of file cryptlib.h. Referenced by ArrayXorSink::CreatePutSpace().

virtual unsigned int BufferedTransformation::PutModifiable2 | ( | byte * | inString,
|  | unsigned int | length,
|  | int | messageEnd,
|  | bool | blocking
| ) | `[inline, virtual, inherited]`

  | input multiple bytes that may be modified by callee for blocking or non-blocking processing Parameters:
  messageEnd | means how many filters to signal MessageEnd to, including this one
Reimplemented in FilterWithBufferedInput. Definition at line 738 of file cryptlib.h.

virtual void BufferedTransformation::SetAutoSignalPropagation | ( | int | propagation | ) | `[inline, virtual, inherited]`

| set propagation of automatically generated and transfered signals propagation == 0 means do not automaticly generate signals Reimplemented in SourceTemplate< T >, SourceTemplate< FileStore >, SourceTemplate< RandomNumberStore >, and SourceTemplate< StringStore >. Definition at line 778 of file cryptlib.h.

unsigned long BufferedTransformation::MaxRetrievable | ( |  | ) | const`[virtual, inherited]`

| returns number of bytes that is currently ready for retrieval All retrieval functions return the actual number of bytes retrieved, which is the lesser of the request number and MaxRetrievable(). Reimplemented in FileStore, RandomNumberStore, NullStore, MessageQueue, ByteQueue, and RandomPool. Definition at line 229 of file cryptlib.cpp. References BufferedTransformation::AttachedTransformation(), and BufferedTransformation::CopyTo(). Referenced by RandomNumberStore::AnyRetrievable(), and Integer::BERDecode().

bool BufferedTransformation::GetNextMessage | ( |  | ) | `[virtual, inherited]`

| start retrieving the next message Returns false if no more messages exist or this message is not completely retrieved. Reimplemented in MessageQueue, and Store. Definition at line 318 of file cryptlib.cpp. References BufferedTransformation::AnyMessages(), and BufferedTransformation::AttachedTransformation().

bool Waitable::Wait | ( | unsigned long | milliseconds | ) | `[inherited]`

| wait on this object same as creating an empty container, calling GetWaitObjects(), and calling Wait() on the container Definition at line 101 of file wait.cpp. References Waitable::GetWaitObjects(), and WaitObjectContainer::Wait(). Referenced by NetworkSource::GeneralPump2(), and NetworkSink::TimedFlush().

The documentation for this class was generated from the following files:

- hex.h
- hex.cpp